## ros-dashing-euclidean-cluster-nodes 0.0.2

=== CMakeLists.txt ===
# Copyright 2017-2019 Apex.AI, Inc.
# Co-developed by Tier IV, Inc. and Apex.AI, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
cmake_minimum_required(VERSION 3.5)

### Build the nodes
project(euclidean_cluster_nodes)

## dependencies
find_package(autoware_auto_cmake REQUIRED)
find_package(ament_cmake REQUIRED)
find_package(autoware_auto_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(euclidean_cluster REQUIRED)
find_package(autoware_auto_geometry REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(voxel_grid_nodes REQUIRED)

# Library
set(CLUSTER_NODE_LIB euclidean_cluster_node)
add_library(${CLUSTER_NODE_LIB} SHARED
  # include/euclidean_cluster_nodes/details/common.hpp
  include/euclidean_cluster_nodes/euclidean_cluster_node.hpp
  # src/common.cpp
  src/euclidean_cluster_node.cpp)
target_include_directories(${CLUSTER_NODE_LIB} PUBLIC "include")
autoware_set_compile_options(${CLUSTER_NODE_LIB})
ament_target_dependencies(${CLUSTER_NODE_LIB}
  "rclcpp"
  "autoware_auto_msgs"
  "euclidean_cluster"
  "autoware_auto_geometry"
  "sensor_msgs"
  "voxel_grid_nodes")

# Executable
set(CLUSTER_MAIN euclidean_cluster_exe)
add_executable(${CLUSTER_MAIN} src/euclidean_cluster_main.cpp)
autoware_set_compile_options(${CLUSTER_MAIN})
target_link_libraries(${CLUSTER_MAIN} ${CLUSTER_NODE_LIB})

## Testing
if(BUILD_TESTING)
  # Static checking only if built via ament
  autoware_static_code_analysis()
endif()
# Ament Exporting
autoware_install(LIBRARIES ${CLUSTER_NODE_LIB}
  EXECUTABLES ${CLUSTER_MAIN}
  HAS_PARAM
  HAS_INCLUDE)
ament_export_dependencies(
  "rclcpp"
  "autoware_auto_msgs"
  "euclidean_cluster"
  "autoware_auto_geometry"
  "sensor_msgs"
  "voxel_grid_nodes")
ament_package()

=== debian/changelog ===
ros-dashing-euclidean-cluster-nodes (0.0.2-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Apex.AI, Inc. <opensource@apex.ai>  Mon, 14 Oct 2019 15:19:55 -0000

=== debian/control ===
Source: ros-dashing-euclidean-cluster-nodes
Section: misc
Priority: extra
Maintainer: Apex.AI, Inc. <opensource@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-autoware-auto-cmake, ros-dashing-autoware-auto-geometry, ros-dashing-autoware-auto-msgs, ros-dashing-euclidean-cluster, ros-dashing-rclcpp, ros-dashing-sensor-msgs, ros-dashing-voxel-grid-nodes, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-euclidean-cluster-nodes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-autoware-auto-geometry, ros-dashing-autoware-auto-msgs, ros-dashing-euclidean-cluster, ros-dashing-rclcpp, ros-dashing-sensor-msgs, ros-dashing-voxel-grid-nodes, ros-dashing-ros-workspace
Description: ROS 2 nodes for various post-processing steps on euclidean clustering.
 For debugging and to decouple algorithm dependencies from ROS 2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-euclidean-cluster-nodes//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
